<template>
	<view class="check-map-list">
		<view class="item"
			v-for="(item, index) in checkMap.list" 
			v-if="item.status !== 'disable'"
			:key="index">
			<tm-check-map-list :item="item"></tm-check-map-list>
		</view>
		<view class="null" v-if="dataIsNull">暂无数据</view>
	</view>
</template>

<script>
	import { mapState } from "vuex";
	
	export default {
		computed: {
			...mapState({
				checkMap: state => state.creatingSituations.checkMap,
			}),
			dataIsNull() {
				let data = this.checkMap.list.filter((item)=> item.status !== 'disable');
				return data.length === 0;
			}
		},
	}
</script>

<style lang="less">
	.check-map-list {
		padding: 25rpx;
	}
	.null {
		text-align: center;
		color: #999;
	}
</style>
